## oasis3 3.3.beta.dfsg.1

=== src/lib/NAG_dummies/src/Makefile ===

SRCS1 =  $(shell ls ../../../../src/lib/NAG_dummies/src/*.F90)
OBJS1 =  $(patsubst ../../../../src/lib/NAG_dummies/src/%.F90, %.o, $(SRCS1))

VPATH =	./:../../../../src/lib/NAG_dummies/src

LIBRARY	= ../../../lib/libNAG_dummies.a
SHLIB   = ../../../lib/libNAG_dummies.$(SOEXT)

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS1)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1)

$(SHLIB): $(OBJS1)
	$(LDSHARED) -o $(SHLIB1) $(OBJS1) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o  .F90

%.o: %.F90
	$(F90) $(F90FLAGS) $(INCLS)  -c   $<



#
# ALL dependencies ...
#
