=== src/lib/anaisg/src/Makefile ===

SRCS4 	= $(shell ls $(PRISMHOME)/src/lib/anaisg/src/*.f)
OBJS4 	= $(patsubst $(PRISMHOME)/src/lib/anaisg/src/%.f, %.o, $(SRCS4))

VPATH 	= $(PRISMHOME)/src/lib/anaisg/src:$(PRISMHOME)/src/mod/$(COUPLE)/src

LIBRARY	= $(ARCHDIR)/lib/libanaisg.a
SHLIB   = $(ARCHDIR)/lib/libanaisg.${CHAN}.${SOEXT}

clean:
	rm -f i.* *.o *.mod

all:	$(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS4)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS4)

$(SHLIB): $(OBJS4)
	$(LDSHARED) -o $(SHLIB) $(OBJS4) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

mod_parameter.o: mod_kinds_oasis.o
mod_printing.o: mod_kinds_oasis.o
mod_unit.o: mod_kinds_oasis.o
mod_analysis.o: mod_kinds_oasis.o
nagset.o: mod_parameter.o mod_analysis.o mod_unit.o mod_printing.o mod_kinds_oasis.o
nagsst.o: mod_unit.o mod_printing.o mod_kinds_oasis.o
qcscur.o: mod_unit.o mod_kinds_oasis.o
qgrhal.o: mod_unit.o mod_kinds_oasis.o
qgrho.o: mod_unit.o mod_kinds_oasis.o
qlgaus.o: mod_unit.o mod_kinds_oasis.o
qlins.o: mod_unit.o mod_kinds_oasis.o
qlsort.o: mod_unit.o mod_kinds_oasis.o
qlsst.o: mod_unit.o mod_kinds_oasis.o
