=== src/lib/clim/src/Makefile ===
include /srv/devel/oasis3/deb-packages/oasis3/oasis3-3.1.dfsg.1//src/mod/oasis3/util/make_dir/make.inc

SRCS1 =  $(shell ls $(PRISMHOME)/src/lib/clim/src/*.F90)
OBJS1 =  $(patsubst $(PRISMHOME)/src/lib/clim/src/%.F90, %.o, $(SRCS1))

SRCS3 =  $(shell ls $(PRISMHOME)/src/lib/clim/src/*.F)
OBJS3 =  $(patsubst $(PRISMHOME)/src/lib/clim/src/%.F, %.o, $(SRCS3))

VPATH =	./:$(PRISMHOME)/src/lib/clim/src:\
	   $(PRISMHOME)/src/mod/$(COUPLE)/src

LIBRARY	= $(ARCHDIR)/lib/libclim.${CHAN}.a
SHLIB   = $(ARCHDIR)/lib/libclim.${CHAN}.$(SOEXT)

all: $(if $(SHARED), $(SHLIB), $(LIBRARY))

clean:
	rm -f i.* *.o *.mod


$(LIBRARY): $(OBJS1) $(OBJS3)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1) $(OBJS3)

$(SHLIB): $(OBJS1) $(OBJS3)
	$(LDSHARED) -o $(SHLIB) $(OBJS1) $(OBJS3) $(FLIBS)

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f90
	$(f90) $(f90FLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.F
	$(F) $(FFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.f
	$(f) $(fFLAGS) $(DOUBLEOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<


#
# ALL dependencies ...
#

mod_clim.o: mod_kinds_oasis.o
mod_comclim.o: mod_clim.o mod_kinds_oasis.o
mod_clim_def.o: mod_kinds_oasis.o mod_clim.o mod_comclim.o
CLIM_Export.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Import.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Init_Oasis.o: mod_clim.o mod_comclim.o mod_parameter.o \
	mod_timestep.o mod_string.o mod_unitncdf.o \
	mod_kinds_oasis.o mod_hardware.o mod_calendar.o mod_label.o
CLIM_Parse.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Quit.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Start.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Start_MPI.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
CLIM_Stepi.o: mod_clim.o mod_comclim.o mod_kinds_oasis.o
