=== src/lib/mpp_io/src/Makefile ===

# This file is generated automatically

SRCS1 =	$(shell find $(PRISMHOME)/src/lib/mpp_io/src/ -name '*.F90' -print)
OBJS1 =	$(patsubst $(PRISMHOME)/src/lib/mpp_io/src/%.F90,  %.o, $(SRCS1))

SRCS5 = $(shell find $(PRISMHOME)/src/lib/mpp_io/src/ -name '*.c' -print)
OBJS5 = $(patsubst $(PRISMHOME)/src/lib/mpp_io/src/%.c, %.o, $(SRCS5))

VPATH 	= ./:$(PRISMHOME)/src/lib/mpp_io/src:\
	$(PRISMHOME)/src/lib/mpp_io/include:\
	$(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE):$(XML_INCLUDE):\

LIBRARY = $(ARCHDIR)/lib/libmpp_io.a
SHLIB   = $(ARCHDIR)/lib/libmpp_io.$(SOEXT)

default: all

clean:
	rm -f $(LIBRARY)
	ls | xargs rm -f

all: $(if $(SHARED), $(SHLIB), $(LIBRARY))

$(LIBRARY): $(OBJS1) $(OBJS5)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1) $(OBJS5)

$(SHLIB): $(OBJS1) $(OBJS5)
	$(LDSHARED) -o $(SHLIB) $(OBJS1) $(OBJS5) $(FLIBS)

INCLS = -I$(PRISMHOME)/src/lib/mpp_io/include \

INCLSC = -I$(PRISMHOME)/src/lib/mpp_io/include \

.SUFFIXES:
.SUFFIXES: .o .f .F .f90 .F90 .c

%.o: %.F90
	$(F90) $(F90FLAGS) $(MPP_IOOPT) $(INCLS)  -c   $<

%.o: %.c
	$(CC) $(CCFLAGS) $(INCLSC) -c   $<

#
# ALL dependencies ...
#

mpp_domains_mod_oa.o: mod_kinds_mpp.o mpp_mod_oa.o
mpp_io_mod_oa.o: mod_kinds_mpp.o mpp_domains_mod_oa.o mpp_mod_oa.o
mpp_mod_oa.o: mod_kinds_mpp.o
