=== src/mod/cheoa3/src/Makefile ===

# This file is generated automatically

SRCS1 = $(shell find $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)) -name '*.F90' -print)
OBJS1 = $(patsubst $(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC))/%.F90,  %.o, $(SRCS1))

VPATH = .:$(PRISMHOME)/src/mod/$(MODEL_DIR)/$(strip $(SRC)):\
	  $(PRISMHOME)/src/mod/$(MODEL_DIR)/include:\
	  $(ARCHDIR)/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/build/lib/psmile.${CHAN}:\
	  $(ARCHDIR)/lib/$(MODEL_DIR):\
	  $(ARCHDIR)/lib:\
	  $(NETCDF_INCLUDE):$(MPI_INCLUDE):$(SYS_INCLUDE)


LIBRARY	= $(ARCHDIR)/lib/$(MODEL_DIR)/lib$(MODLIB).a

PROG =  $(ARCHDIR)/bin/$(EXEC).x

INCLS   = -I$(PRISMHOME)/src/mod/$(MODEL_DIR)/include \
	  -${I4mods}$(ARCHDIR)/lib/psmile.${CHAN}

clean:
	rm -f $(LIBRARY)
	rm -f i.* *.o *.mod
	rm -f Top_Makefile_*

all: $(PROG)

lib: $(LIBRARY)

$(PROG): $(DEPLIBS) $(LIBRARY)
	$(F90) $(LDFLAGS)  -o $@ $(MAINPRG).o $(LIBS)

$(LIBRARY): $(OBJS1)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS1)

.SUFFIXES:
.SUFFIXES: .o .F90

%.o: %.F90
	$(F90) $(INCLS) $(F90FLAGS)  -c $<

#
# All dependencies ...
#

che.o: mod_kinds_model.o mod_prism_get_proto.o mod_prism_grids_writing.o \
	mod_prism_proto.o mod_prism_put_proto.o 
decomp_def.o: mod_prism_def_partition_proto.o mod_prism_proto.o
