=== debian/changelog ===
oasis3 (3.3.beta.dfsg.1-8build2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 16:59:32 -0500

oasis3 (3.3.beta.dfsg.1-8build1) saucy; urgency=low

  * Rebuild with gfortran 4.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Sep 2013 10:08:38 +0100

oasis3 (3.3.beta.dfsg.1-8) unstable; urgency=low

  * oasis3 and liboasis3-dev are not Multi=Arch: same. 
    Closes: #658106, #658107.
  * Ack that new build solves FTBFS. Closes: #608598.
  * Add lintian override for multiarch warning

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Feb 2012 17:01:27 +0000

oasis3 (3.3.beta.dfsg.1-7) unstable; urgency=low

  * Fix typo in build-deps. libhdr5 -> libhdf5. Closes: 657931.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jan 2012 06:59:20 +0000

oasis3 (3.3.beta.dfsg.1-6) unstable; urgency=low

  * Update build-deps for HDF5 (1.8.8) transition.
  * Multi-Arch.
  * Move to Standards-Version: 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Jan 2012 14:36:02 +0000

oasis3 (3.3.beta.dfsg.1-5) unstable; urgency=low

  * Bump release number to get past stuck upload

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 May 2010 21:33:00 +0100

oasis3 (3.3.beta.dfsg.1-4) unstable; urgency=low

  * Fix hard-coded paths in auto-generated patch. Closes: #579322.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Apr 2010 12:46:26 +0100

oasis3 (3.3.beta.dfsg.1-3) unstable; urgency=low

  * non-experimental release.
  * Added non-conservative SCRIP patch from upstream.
  * Add shared-library liboasis3, needed to link shared lib clim*, etc.
  * libanaism, libanaisg also shipped.
  * Provide pkg-config files for clim, psmile, scrip and mpp_io libs.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Apr 2010 09:47:35 +0100

oasis3 (3.3.beta.dfsg.1-2) experimental; urgency=low

  * Directory name change in new upsteam. Closes: #569271.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Feb 2010 11:58:10 +0000

oasis3 (3.3.beta.dfsg.1-1) experimental; urgency=low

  * New upstream.
  * Include liboasis3-0d binary deb for  shared libraries. 
  * Include both MPI1 and MPI2 versions of binaries and libraries.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Feb 2010 16:58:10 +0000

oasis3 (3.1.dfsg.1-1) experimental; urgency=low

  * DFSG-fixed upload. (Closes: #531673).
  * Remove files from distribution to make it DFSG-free:
   - regenerate .eps graphics, as exporting them from Powerpoint with Adobe
     Framemaker adds an _Adobe_ copyright
   - prismdoc.cls ; non-DFSG free
  * Remove expdlist.sty - provided by texlive-latex-extra;
     Build-Depend on texlive-latex-extra.
  * Add sources, pre-built toy models to oasis3-examples

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jan 2010 13:51:02 +0000

oasis3 (3.1-1) experimental; urgency=low

  * Initial release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2010 11:56:33 +0000
