=== debian/control ===
Source: oasis3
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: mpi-default-dev, debhelper (>= 8.1.3~), gfortran, libhdf5-serial-dev | libhdf5-dev, libnetcdf-dev (>= 4.1.2), libcurl4-gnutls-dev, texlive-latex-base, texlive-latex-extra
Standards-Version: 3.9.2
Homepage: http://www.prism.enes.org/PAEs/coupling_IO/software_OASIS3.php

Package: oasis3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Coupler for exchanging fields between components of Earth system models
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.

Package: liboasis3-0d
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries for OASIS3 coupler
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains the shared libraries used in OASIS3.

Package: liboasis3-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-dev, liboasis3-0d (=${binary:Version})
Recommends: oasis3-examples, pkg-config
Description: Development files for OASIS3 climate model coupler
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains development files for building against OASIS3.

Package: oasis3-examples
Architecture: any
Depends: oasis3 (>=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: liboasis3-dev
Description: Example models for the OASIS climate model coupler
 OASIS3 is an executable for exchanging via MPI fields between 
 components of climate models, such as atmosphere and ocean models. 
 In addition, OASIS can perform interpolation between different grids
 used by the components, via the SCRIP library.
 .
 This package contains example models and sources for the OASIS3 coupler.
